SFML 2.6.2

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Namespaces | Macros | Typedefs
Config.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | sf

## Macros

#define | SFML_VERSION_MAJOR 2
#define | SFML_VERSION_MINOR 6
#define | SFML_VERSION_PATCH 2
#define | SFML_DEBUG
#define | SFML_API_EXPORT
#define | SFML_API_IMPORT
#define | SFML_DEPRECATED

## Typedefs

typedef signed char | sf::Int8
typedef unsigned char | sf::Uint8
typedef signed short | sf::Int16
typedef unsigned short | sf::Uint16
typedef signed int | sf::Int32
typedef unsigned int | sf::Uint32
typedef signed long long | sf::Int64
typedef unsigned long long | sf::Uint64

## Macro Definition Documentation

## ◆ SFML_API_EXPORT

#define SFML_API_EXPORT

Definition at line 154 of file Config.hpp.

## ◆ SFML_API_IMPORT

#define SFML_API_IMPORT

Definition at line 155 of file Config.hpp.

## ◆ SFML_DEBUG

#define SFML_DEBUG

Definition at line 119 of file Config.hpp.

## ◆ SFML_DEPRECATED

#define SFML_DEPRECATED

Definition at line 203 of file Config.hpp.

## ◆ SFML_VERSION_MAJOR

#define SFML_VERSION_MAJOR 2

Definition at line 32 of file Config.hpp.

## ◆ SFML_VERSION_MINOR

#define SFML_VERSION_MINOR 6

Definition at line 33 of file Config.hpp.

## ◆ SFML_VERSION_PATCH

#define SFML_VERSION_PATCH 2

Definition at line 34 of file Config.hpp.